flutter_base_player_platform_interface 0.2.0 copy "flutter_base_player_platform_interface: ^0.2.0" to clipboard
flutter_base_player_platform_interface: ^0.2.0 copied to clipboard

A common platform interface for the flutter_base_player plugin.

0.2.0 #

  • support buffered size

0.1.9 #

  • support headers

0.1.8 #

  • add replay

0.1.7 #

  • add track id

0.1.6 #

  • support multi instance

0.1.5 #

  • support background color
  • add precompleteStream

0.1.4 #

add new property

  • bool get completed;

0.1.3 #

update some types

0.1.2 #

add BaseTrack and update some types

define property

  • BaseTrack get videoTrack;
  • List
  • BaseTrack get audioTrack;
  • List
  • BaseTrack get subtitleTrack;
  • List

define methods

  • void setVideoTrack(BaseTrack track);
  • void setAudioTrack(BaseTrack track);
  • void setSubtitleTrack(BaseTrack track);

0.1.1 #

define property

  • dynamic get videoTrack;
  • dynamic get videoTracks;
  • dynamic get audioTrack;
  • dynamic get audioTracks;
  • dynamic get subtitleTrack;
  • dynamic get subtitleTracks;

define methods

  • void setVideoTrack(dynamic track);
  • void setAudioTrack(dynamic track);
  • void setSubtitleTrack(dynamic track);

0.1.0 #

define property

  • aspectRatio: double, width / height
  • buffered: todo
  • duration: Duration
  • hasError: bool
  • errorMessage: String
  • playbackSpeed: double
  • position: Duration
  • size: Size
  • volume: double
  • isBuffering: bool
  • isInitialized: bool
  • isLooping: bool
  • isPlaying: bool
  • positionStream: ChangeNotifier, events emitter

define methods

  • assets
  • file
  • network, set network datasource and init player controler
  • play
  • paus
  • seek
  • setVolume
  • setPlaybackSpeed
  • setLooping
  • builder, video player container
0
likes
120
pub points
16%
popularity

Publisher

unverified uploader

A common platform interface for the flutter_base_player plugin.

Repository (GitHub)
View/report issues

Documentation

API reference

License

unknown (LICENSE)

Dependencies

flutter, plugin_platform_interface

More

Packages that depend on flutter_base_player_platform_interface